Application: gvSIG desktop - gvSIG bugs #5304
El geoproceso Disolver da error si hay un valor nulo en el campo por el cual disolver
06/09/2020 04:07 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Geoprocess

Target version:

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3024 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Tanto en el geoproceso "Disolver" de gvSIG como en el de Sextante, da error si hay algin valor nulo en el campo por el cual se
realiza el geoproceso.

Adjunto capa y log.

Pasos:
- Vista en 25829
- Afadir capa Prueba
- Geoproceso Disolver:
Capa entrada: Prueba
Campo: ORDEN_STRA
Parametro SUM del campo PERIMETER

Si se rellena el valor que esta vacio si que lo hace correctamente.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5291: El geoproceso Junt... Closed 05/27/2020

Associated revisions

Revision 1852 - 12/16/2022 01:47 PM - Francisco Diaz Carsi

refs #5304, Arreglado el método compareTo en DissolveRule

History

#1 - 06/09/2020 05:21 PM - Alvaro Anguix
- Related to gvSIG bugs #5291: El geoproceso Juntar recorta el tamafio de los campos de tipo String added

#2 - 06/12/2020 09:39 PM - Joaquin del Cerro Murciano

Para cuando se aborde...

¢, deberia dejar disolver sobre una columna con nulos ?
Si es que si...

¢, Que debe hacer ?

¢, Disuelve todos los nulos juntos ?
#3 - 06/15/2020 09:21 AM - Mario Carrera

En mi opinién creo que si que se deberian incluir en la capa resultante los registros con valor null, y yo no los disolveria. Los dejaria separados, ya

que no tendra en general sentido disolver algo sin valor.

Si el usuario quiere unirlos después puede poner la capa en edicién y juntar geometria con ellos.

#4 - 06/15/2020 06:32 PM - Alvaro Anguix

De acuerdo con lo que dice Mario.

#5 - 09/01/2020 12:07 PM - Alvaro Anguix

- Target version deleted (2.5.1-3044)

#6 - 08/04/2023 12:43 PM - Alvaro Anguix

- Status changed from New to Closed

En la 3325 lo hace bien

Files

Prueba.zip 972 KB 06/09/2020 Mario Carrera

gvSIG.log 460 KB 06/09/2020 Mario Carrera
